/* CONTENT OVERRIDE*/
.card {
  padding: 15px !important;
  border-radius: 15px !important;
  -webkit-box-shadow: 0 10px 6px -6px #777 !important;
  -moz-box-shadow: 0 10px 6px -6px #777 !important;
  box-shadow: 0 10px 6px -6px #777 !important;
}
.btn {
  border-radius: 15px !important;
}
.form-control {
  border: 2px solid #e7e7e7 !important;
  border-radius: 15px !important;
  background: #f0f3f6 !important;
}

/* LOGIN */

.login-card {
  background-color: #4a4fb5;
  color: white;
  width: 350px;
  border-radius: 1.5rem;
  padding: 60px 2rem;
  box-shadow: 0 20px 40px rgba(0, 0, 0, 0.3);
  animation: fadeInUp 0.8s ease both;
  z-index: 3;
}

.login-card label {
  color: #fff;
  text-transform: inherit !important;
}

.login-card input {
  padding: 18px;
  border-radius: 15px;
  background: #f3e8ff;
  margin: 25px 0;
}
.login-card button {
  padding: 12px;
  margin-top: 50px;
  border-radius: 15px;
  background-color: #bc93f9;
  color: #2129b6;
  font-weight: bold;
  border: none;
  transition: all 0.3s ease;
  text-transform: uppercase;
  font-size: 16px;
}
.middle-box {
  max-width: 400px;
  z-index: 100;
  margin: 0 auto;
  padding-top: 40px;
}

/* .login-logo {
  margin-bottom: 50px;
} */

.logo {
  height: 50px;
  width: 50px;
  object-fit: contain;
  border-radius: 25px;
  border: 2px solid #d8b4fe;
}
.header-content {
  display: flex;
  align-items: center;
  justify-content: space-between;
  width: 100%;
  margin-bottom: 25px;
}

.title-group {
  display: flex;
  flex-direction: column;
  justify-content: center;
}

.title-group h3 {
  font-size: 18px;
  font-weight: 600;
  color: #d8b4fe;
}
.title-group p {
  font-size: 16px;
  color: #bc93f9;
}

.auth-bg {
  /* Add the blur effect */
  filter: blur(6px);
  -webkit-filter: blur(6px);

  position: fixed;
  bottom: 0;
  left: 0;
  width: 100%;
  height: 100%;
  z-index: -1;
  overflow: hidden;
}
/* TOP NAV */

.top-logo {
  height: 50px;
  width: 50px;
  object-fit: contain;
  border-radius: 25px;
  border: 2px solid #d8b4fe;
}
/* HOME PAGE */
.home-logo{
  margin-top: 10px;
}

/* loader style */
.rova-loader {
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;
  height: 100vh;
  background: white;
}

.spinner-container {
  position: relative;
  display: flex;
  justify-content: center;
  align-items: center;
}

.spinner {
  width: 5rem; /* 20 * 0.25rem */
  height: 5rem;
  border: 4px solid #2129b6;
  border-top: 4px solid transparent;
  border-radius: 9999px;
  animation: spin 3s linear infinite;
  position: absolute;
}

.rova-text {
  color: #3467ff;
  font-size: 0.875rem; /* text-sm */
  font-weight: bold;
  animation: pulseScale 0.8s infinite ease-in-out;
}

.loading-message {
  margin-top: 2rem; /* my-8 */
  text-transform: capitalize;
  font-size: 1rem;
  color:#2129b6
}
/* end loader style */

/* FOOTER */
.powered-by {
  display: inline-block;
  margin: auto;
  min-width: 40px;
  color: #d8b4fe;
}



/* SCROLL BAR STYLE  */
::-webkit-scrollbar {
  width: 8px;
}

::-webkit-scrollbar-track {
  -webkit-box-shadow: inset 0 0 6px rgba(0, 0, 0, 0.3);
  border-radius: 10px;
}

::-webkit-scrollbar-thumb {
  border-radius: 10px;
  -webkit-box-shadow: inset 0 0 6px purple;
}
